.\"	$NetBSD: nice.1,v 1.13 2002/09/30 11:09:07 grant Exp $
.\"
.\" Copyright (c) 1980, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)nice.1	8.1 (Berkeley) 6/6/93
.\"
.Dd June 6, 1993
.Dt NICE 1
.Os
.Sh NAME
.Nm nice
.Nd execute a utility with an altered scheduling priority
.Sh SYNOPSIS
.Nm
.Op Fl n Ar increment
.Ar utility
.Op Ar argument ...
.Sh DESCRIPTION
.Nm
runs
.Ar utility
at an altered scheduling priority.
If an
.Ar increment
is given, it is used; otherwise
an increment of 10 is assumed.
The super-user can run utilities with priorities higher than normal by using
a negative
.Ar increment .
The priority can be adjusted over a
range of -20 (the highest) to 20 (the lowest).
A priority of 19 or 20
will prevent a process from taking any cycles from others at nice 0 or
better.
.Pp
Available options:
.Bl -tag -width indent
.It Fl n Ar increment
A positive or negative decimal integer used to modify the system scheduling
priority of
.Ar utility .
.El
.Sh EXIT STATUS
The
.Nm
utility exits with one of the following values:
.Bl -tag -width indent
.It 1-125
An error occurred in the
.Nm
utility.
.It 126
The
.Ar utility
was found but could not be invoked.
.It 127
The
.Ar utility
could not be found.
.El
.Pp
Otherwise, the exit status of
.Nm
will be that of
.Ar utility .
.Sh COMPATIBILITY
The historic
.Fl Ns Ar increment
option has been deprecated but is still supported in this implementation.
.Sh SEE ALSO
.Xr csh 1 ,
.Xr getpriority 2 ,
.Xr setpriority 2 ,
.Xr renice 8
.Sh STANDARDS
The
.Nm
utility conforms to
.St -p1003.2-92 .
.Sh HISTORY
A
.Nm
utility appeared in
.At v6 .
.Sh BUGS
.Nm
is built into
.Xr csh  1
with a slightly different syntax than described here.
The form
.Ql nice +10
nices to positive nice, and
.Ql nice \-10
can be used
by the super-user to give a process more of the processor.
